#!/bin/bash
#seasonalReset.sh
#This script gets called CCM command and resets seasonal totals to zero
#It require a magic file to be created in /tmp first
#
# Set Passable Param
INSTALL_DIR="/var/data/reports/scripts"
SECRETINPUT=$1
SECRETKEY="SendSpreaderReset"

main (){
	echo "*** Starting seasonalReset.sh ***"
	checkPassword
	setUserStrings
	echo "*** seasonalReset.sh Complete ***"
	return
}

# Check Password and reset if correct
checkPassword () {
	if [[ "$SECRETINPUT" == "$SECRETKEY" ]]; then
		rm -f /var/data/reports/scripts/spreader_data.*
		rm -f /tmp/spreader_data.*
		echo "0,0,0,0,0,0,0,0,0" >  $INSTALL_DIR/seasonal_totals/spreader_data.txt
		echo "0,0,0,0,0,0,0,0,0" >> $INSTALL_DIR/seasonal_totals/spreader_data.txt
		echo "0,0,0,0,0,0,0,0,0" >> $INSTALL_DIR/seasonal_totals/spreader_data.txt
		echo "0,0,0,0,0,0,0,0,0" >> $INSTALL_DIR/seasonal_totals/spreader_data.txt
		echo "0,0,0,0,0,0,0,0,0" >> $INSTALL_DIR/seasonal_totals/spreader_data.txt
		echo "0,0,0,0,0,0,0,0,0" >> $INSTALL_DIR/seasonal_totals/spreader_data.txt
		echo "0" >> $INSTALL_DIR/seasonal_totals/spreader_data.txt
		
		echo -n "910AA463" > $INSTALL_DIR/seasonal_totals/spreader_data.crc
		echo " Seasonal Reset Files Created"
		cp $INSTALL_DIR/seasonal_totals/spreader_data.txt $INSTALL_DIR/seasonal_totals/spreader_data.bak.txt
		cp $INSTALL_DIR/seasonal_totals/spreader_data.crc $INSTALL_DIR/seasonal_totals/spreader_data.bak.crc
	
		cp $INSTALL_DIR/seasonal_totals/* /tmp/
		echo " Seasonal Reset Files Backed up"
	else
		cmd event add seasonalReset_User_Paramater_Is_Incorrect
		echo " Sectet password is incorrect"
		exit 1
	fi
}

# Set and Confirm USR_STRs have been RESET
setUserStrings () {
	echo " Setting USR_STRs"
	cmd sysdb set USR_STR_1 RESET
	cmd sysdb set USR_STR_2 RESET
	cmd sysdb set USR_STR_3 RESET
	cmd sysdb set USR_STR_4 RESET
	STR1=$(cmd sysdb get USR_STR_1 | grep USR_STR_1 | awk -F "=" '{print$2}')
	STR2=$(cmd sysdb get USR_STR_2 | grep USR_STR_2 | awk -F "=" '{print$2}')
	STR3=$(cmd sysdb get USR_STR_3 | grep USR_STR_3 | awk -F "=" '{print$2}')
	
	if [[ "$STR1" == "RESET" ]]; then
		if [[ "$STR2" == "RESET" ]]; then
			if [[ "$STR3" == "RESET" ]]; then
				cmd sendreport 1027
				echo " Sending Reset to Cypress VUE"
				cmd sysdb set USR_STR_1 OK
				cmd sysdb set USR_STR_2 OK
				cmd sysdb set USR_STR_3 OK
				cmd sysdb set USR_STR_4 OK
				cmd event add seasonalReset_Successfully_Complete
			else
				cmd event add USR_STR_3_DoesNotEqual_RESET
			fi
		else
			cmd event add USR_STR_2_DoesNotEqual_RESET
		fi
	else
		cmd event add USR_STR_1_DoesNotEqual_RESET
	fi
}

main


